package com.ss.android.ugc.aweme.services;

import X.B6m;
import X.Ls2;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.services.TrafficStatisticsServiceImpl;
import java.util.concurrent.ConcurrentLinkedQueue;

public final class TrafficStatisticsServiceImpl$cacheQueue$2 extends B6m implements Ls2<ConcurrentLinkedQueue<TrafficStatisticsServiceImpl.TrafficData>> {
    public static final TrafficStatisticsServiceImpl$cacheQueue$2 INSTANCE = new TrafficStatisticsServiceImpl$cacheQueue$2();

    static {
        Covode.recordClassIndex(105181);
    }

    public TrafficStatisticsServiceImpl$cacheQueue$2() {
        super(0);
    }

    public final ConcurrentLinkedQueue<TrafficStatisticsServiceImpl.TrafficData> invoke() {
        return new ConcurrentLinkedQueue<>();
    }
}
